Bug 41957 - v4l (video 4 linux) did not work. /dev/video a directory, not a device
v4l (video 4 linux) did not work. /dev/video a directory, not a device
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: MAKEDEV (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-23 08:41 EDT by Bryce Nesbitt
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-23 09:02:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce Nesbitt 2001-05-23 08:41:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
MAKEDEV builds the following in /dev/video:

[root@localhost video]# ls -la /dev/video
total 88
drwxr-xr-x    2 root     root         4096 May 19 22:14 .
drwxr-xr-x   14 root     root        81920 May 23 08:20 ..
crw-------    1 bryce    root      10, 204 Mar 23 23:38 em8300
crw-------    1 bryce    root      10, 206 Mar 23 23:38 em8300_ma
crw-------    1 bryce    root      10, 205 Mar 23 23:38 em8300_mv
crw-------    1 bryce    root      10, 207 Mar 23 23:38 em8300_sp

using this control script:
# Where did 202 and 203 go?
c $CONSOLE              10 204  1   1 video/em8300
c $CONSOLE              10 205  1   1 video/em8300_mv
c $CONSOLE              10 206  1   1 video/em8300_ma
c $CONSOLE              10 207  1   1 video/em8300_sp

This breaks "video 4 linux", "xawtv" and the like.  My TV set no longer
works after upgrading from RedHat 7.0 :-).

How reproducible:
Always

Steps to Reproduce:
Try "xawtv" or "v4l-conf".  any other video device user should fail as
well.

Actual Results: 
# xawtv
This is xawtv-3.47, running on Linux/i686 (2.4.2-2)
Xlib:  extension "XVideo" missing on display ":0.0".
x11: 1600x1024, 32 bit/pixel, 0 byte/scanline
WARNING: Your X-Server has no DGA support.
can't open /dev/video: Is a directory
v4l-conf had some trouble, trying to continue anyway
open /dev/video: Is a directory
v4l: open /dev/video: Is a directory
no video grabber device available

# v4l-conf 
v4l-conf: using X11 display :0.0
WARNING: Your X-Server has no DGA support.
mode: 1600x1024, depth=24, bpp=32, bpl=6400, base=unknown
can't open /dev/video: Is a directory



Expected Results:  I should have seen "Who's Line is it Anyway?".

I fixed it with:
	# mv video video_disabled
	# ln -s video0 video

Then everything is fine:
	# v4l-conf 
	v4l-conf: using X11 display :0.0
	WARNING: Your X-Server has no DGA support.

	But now it's time for "NOVA"...
	mode: 1600x1024, depth=24, bpp=32, bpl=6400, base=unknown
Comment 1 Nalin Dahyabhai 2001-06-26 15:14:03 EDT
MAKEDEV attempts to stick with the documented device nodes and names (see
/usr/src/linux/Documentation/devices.txt for details) as far as possible. 
Packages like xawtv, kwintv, and zapping were updated to use /dev/video0 instead
of /dev/video for the 7.1 release.

Note You need to log in before you can comment on or make changes to this bug.